Bug 849333 - bad handling of mobile broadband connections devices while having multiple user sessions opened
bad handling of mobile broadband connections devices while having multiple us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 08:56 EDT by Germano Massullo
Modified: 2013-08-01 05:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:26:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
connection user permissions (34.31 KB, image/png)
2012-08-18 08:57 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2012-08-18 08:56:42 EDT
Description of problem:
1)
When you plug an usb mobile broadband device you will be required to insert the PIN code.
If you have multiple user sessions opened (user 1, user 2, etc.) while using a mobile broadband devices (usb device in my case) and for some reasons you have to unplug the device and re-plug it, you probably will be prompted for PIN code not on the active user, but on the other session. So you will have to switch user to enter the PIN code.
2) After having entered the PIN code and got back to the correct user, sometimes you will not see in plasma network manager the mobile broadband connection you have to click onto to instaurate the connection

Version-Release number of selected component (if applicable):
KDE 4.8.5


Steps to Reproduce:
1.Boot the computer and login into "user 1"
2.Connect to the internet with your USB mobile broadband device.
3.Open a new session of "user 2"
4.Switch back to user 1.
5.Unplug the USB mobile broadband device and re-plug it.
6.See that the prompt for PIN code is not on active user session (user 1)

Additional info:
Kernel 3.5.2-1.fc17.i686
I attached a screenshot of user permissions of my connection
Comment 1 Germano Massullo 2012-08-18 08:57:18 EDT
Created attachment 605324 [details]
connection user permissions
Comment 2 Fedora End Of Life 2013-07-03 22:48:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 05:27:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.